Search Results for

Show / Hide Table of Contents

# Class TableEditor

##### Inheritance

System.Object
Scenario
TableEditor

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Top
Scenario.Win
Scenario.Init(Toplevel, ColorScheme)
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.Run()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("TableEditor", "A Terminal.Gui DataTable editor via TableView")]
    [Scenario.ScenarioCategory("Controls")]
    [Scenario.ScenarioCategory("Dialogs")]
    [Scenario.ScenarioCategory("Text")]
    [Scenario.ScenarioCategory("Dialogs")]
    [Scenario.ScenarioCategory("TopLevel")]
    public class TableEditor : Scenario, IDisposable

### Methods

#### BuildDemoDataTable(Int32, Int32)

Generates a new demo System.Data.DataTable with the given number of `cols` (min 5) and `rows`

##### Declaration

    public static DataTable BuildDemoDataTable(int cols, int rows)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cols |
System.Int32 | rows |

##### Returns

Type | Description
--- | ---
System.Data.DataTable |

#### BuildSimpleDataTable(Int32, Int32)

Builds a simple table in which cell values contents are the index of the cell. This helps testing that scrolling etc is working correctly and not skipping out any rows/columns when paging

##### Declaration

    public static DataTable BuildSimpleDataTable(int cols, int rows)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | cols |
System.Int32 | rows |

##### Returns

Type | Description
--- | ---
System.Data.DataTable |

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable